shithub: scc

Download patch

ref: 013be4e2c832b503356ef59f87ab177ad831691c
parent: 73c50951eaf9c8c209984ba12aafe9812934349a
author: Roberto E. Vargas Caballero <k0ga@shike2.com>
date: Mon Sep 26 08:34:22 EDT 2016

[tests] Pass -Iinclude to scc

Test 0064-sysinclude.c needs this flag, otherwise it cannot find
the needed include.

--- a/tests/chktest.sh
+++ b/tests/chktest.sh
@@ -8,5 +8,5 @@
 do
 	printf "%s\t" $i
 	rm -f a.out
-	(scc -m qbe "$i" && ./a.out) 2>/dev/null && echo [OK] || echo [FAILED]
+	(scc -Iinclude -m qbe "$i" && ./a.out) 2>/dev/null && echo [OK] || echo [FAILED]
 done